#!/usr/bin/perl

# Script:
# Install Icons - Private MIME-icons for Rox-Filer


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Private - Install Icons - Private MIME-icons for Rox-Filer");

$Launched_Script->is_Private();

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs my private Rox-Filer icons, putting them in: /root/.config/rox.sourceforge.net/MIME-icons");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Items (
	"Copy_Contents_of_Folder_into_Dest_Parentdir"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#


my $from_path;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"installs your private Rox-Filer icons, putting them in: /root/.config/rox.sourceforge.net/MIME-icons"
	);

if ( $should_proceed )
{
	
	
	#---------------
	#
	# Files to copy:
	
	
	#$from_path=$Puppy_Setup_Kit->Realm_Path_for_Any_Pup("Spring") . 
	
	
	Copy_Contents_of_Folder_into_Dest_Parentdir( $Puppy_Setup_Kit->Realm_Path("Spring") . "Icons/MIME-icons", "into", "/root/.config/rox.sourceforge.net/MIME-icons", "Overwrite Existing Files");
	
	
	#"Overwrite Existing Files"
	
	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();