#!/usr/bin/perl

# Script:
# Install from Tarball - Flash plugin v11.2.202.442.pl


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';


my $Flash_Version="11.2.202.442";

# You can find out your version of Flash by right-clicking on the Flash example here:
#
# http://helpx.adobe.com/flash-player.html

use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install from Tarball - Flash plugin v$Flash_Version");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs the Flash plugin v$Flash_Version.  Mostly used by Firefox, but Chromium 18 can actually use it too.  Even though Chromium has a version of Flash built-in, I couldn't listen to the MOG streaming music service in Chromium without my additional, separate, probably newer Flash plugin installed.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_32_bit_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Single_Folder ( "Create_Temporary_ApolliaLib_Workspace_for_Tarballs");

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Moving::Single_File (
	"Move_File" 
	);

use ApolliaLib::Folder_Handling::Deletion::Single_Folder_Recursively (
	"Delete_Temporary_ApolliaLib_Workspace_for_Tarballs"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;

my @dirs_to_make;
my $destination_folder;

my $folder_to_run_shell_command_in;
my $command_line;

my $tarball_folder;
my $tarball_name;
my $destination_for_plugin;
my $file_to_move;

#
#
#	End of variable declarations
#
#####################################################



$tarball_folder="/root/zzzzz-tmp/ApolliaLib tmp tarball workspace";

$tarball_name="install_flash_player_11_linux.i386.tar.gz";

$destination_for_plugin="/root/apbin/Firefox/Plugins/Flash/v$Flash_Version";

$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the Flash plugin for Firefox"
	);


if ( $should_proceed )
{

	#---------------
	#
	# Temporary workspace to make:
	
	Create_Temporary_ApolliaLib_Workspace_for_Tarballs();
	
	

	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		$destination_for_plugin
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	
	#---------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"Web Browsers/Plugins/Flash/v$Flash_Version/$tarball_name" => $tarball_folder,
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Weir"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs );
	
	
	
	#--------------------
	#
	# Tarball to extract:
	
	$folder_to_run_shell_command_in=$tarball_folder;

	$command_line="tar -xvkf '$tarball_name'";

	Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "install the 32-bit release of Flash plugin v$Flash_Version", "Installing Flash plugin v$Flash_Version for 32-bit Linuxes!");

	
	
	#------------------
	#
	# File to move:
	#
	# All we want is a single file from the tarball.  The rest will get discarded with the
	# temporary workspace.
	
	$file_to_move="$tarball_folder/libflashplayer.so";
	
	Move_File($file_to_move, "and put it at", $destination_for_plugin);
	
	
	#------------------
	#
	# Delete the temporary tarball workspace:
	
	Delete_Temporary_ApolliaLib_Workspace_for_Tarballs();
	
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();