#!/usr/bin/perl

# Script:
# Install Font - Symbola613, a Unicode font


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Font - Symbola613, a Unicode font");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("This script copies the Symbola613 Unicode font into /root/apbin/Fonts/Unicode/.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;

my $destination_folder;

my @dirs_to_make;

#
#
#	End of variable declarations
#
#####################################################


$destination_folder="/root/apbin/Fonts/Unicode";

#$Puppy_Setup_Kit->Print_All_Realm_Hashes();


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
	
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	
	"copy the Unicode font Symbola613 into $destination_folder"
	);


if ( $should_proceed )
{
	
	
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		$destination_folder
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	
	#---------------
	#
	# Files to copy:
	
	print "\n\nNow copying file...";
	
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		#"Fonts/Unicode/Symbola613.ttf" => "/usr/share/fonts/default/TTF/",
		"Fonts/Unicode/Symbola613.ttf" => $destination_folder
		
		);

		
	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path_for_Any_Pup("Waterfall"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs );
	
	# Unused scrap, optional last argument:		"Overwrite Existing Files"
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();