#!/usr/bin/perl

# Script:
# Install Fonts - DejaVu Sans fonts from Lupu5284


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Fonts - DejaVu Sans fonts from Lupu5284");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("This script installs the DejaVu Sans fonts From Lupu5284 into /root/apbin/Fonts/.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Deletion::Single_File (
	"Delete_File"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;

my $destination_folder;

my @dirs_to_make;

my $folder_to_run_shell_command_in;
my $command_line;
my $tarball_name;

#
#
#	End of variable declarations
#
#####################################################


$destination_folder="/root/apbin/Fonts";

$tarball_name="DejaVuSans-Fonts_from_Lupu5284.tar.gz";

#$Puppy_Setup_Kit->Print_All_Realm_Hashes();


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
	
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	
	"copy the DejaVu Sans fonts from Lupu5284 into $destination_folder"
	);


if ( $should_proceed )
{
	
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		$destination_folder
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	
	#---------------
	#
	# Files to copy:
	
	print "\n\nNow copying file...";
	
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
	#	"Fonts/Unicode/CODE2000.TTF" => "/usr/share/fonts/default/TTF/",
		"Fonts/DejaVu Sans from Lupu5284/$tarball_name" => $destination_folder,
		
		);

		
	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path_for_Any_Pup("Waterfall"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs );
	
	# Unused scrap, optional last argument:		"Overwrite Existing Files"
	
	
	#--------------------
	#
	# Tarball to extract:
	
	$folder_to_run_shell_command_in=$destination_folder;

	$command_line="tar -xvkf '$tarball_name'";

	Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "unzipping the DejaVu Sans fonts into $destination_folder", "unzipping the DejaVu Sans fonts into $destination_folder!");
	
	
	#---------------
	#
	# Tarball to delete:
	
	Delete_File("$destination_folder/$tarball_name");
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();