#!/usr/bin/perl

# Script:
# Make Icon Info HTML Gallery File


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Icon Info HTML Gallery File");

$Launched_Script->Version("1");

$Launched_Script->Description("Makes an HTML file with an image gallery of all files in a directory, surrounded by <a href> tags without URLs, so you can add them manually later.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Contents (
	"Make_Array_of_Folder_Contents"
	);

use ApolliaLib::File_Handling::Overwriting::Single_File (
	"Overwrite_Filepath_with_Text"
	);
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#


my @items_in_folder;
my $ref_to_items_in_folder;

my $item_in_folder;

my $output_for_file;

my $max_width_for_row=10;
my $column=0;
my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"output an HTML file with an image gallery of all files in a directory, surrounded by <a href> tags without URLs, so you can add them manually later"
	);

if ( $should_proceed )
{
	
	
	#---------------
	#
	# Files to copy:
	
	
	#$from_path=$Puppy_Setup_Kit->Realm_Path_for_Any_Pup("Spring") . 
	
	$output_for_file="<html>
<head><title>Icon Info</title>

<style type=\"text/css\"> 

body
{	background-color: black;
	color: violet;
}

a
{
	text-decoration: none;
}

a:link
{	color: pink;
}

a:visited
{	color: mediumslateblue;
}

a:hover
{	color: magenta;
}

a:active
{	color: purple;
}

</style>

<body>
<center>
<p>
<br>
<big><big>Click an icon to go to a web page with more info about it.
<p>
<br>
<table border>";
		
	$ref_to_items_in_folder=Make_Array_of_Folder_Contents( $Puppy_Setup_Kit->Realm_Path_for_Any_Pup_on_Main_Disk("Spring") . "Icons/Main Collection/apollia");
	
	@items_in_folder = @$ref_to_items_in_folder;
	
	@items_in_folder=sort @items_in_folder;
	
	$column=0;
	
	foreach $item_in_folder (@items_in_folder)
	{

		if ($item_in_folder eq "." || $item_in_folder eq "..")
		{	next;
		}
		if ( index($item_in_folder, '.xpm') != -1)
		{	next;
		}
		
		if ($column > $max_width_for_row )
		{	$column=0;
			$output_for_file = $output_for_file . "\n\n\n\n<tr>";
		}
		$output_for_file = $output_for_file . "\n\n<td><a href=\"\"><img height=\"48\" width=\"48\" src=\"$item_in_folder\"></a>";
		
		$column++;
	}
	
	Overwrite_Filepath_with_Text("/root/zzzzz-tmp/00-Icon Info.html", "and put the following text:", $output_for_file);
	
	Display_and_Do_Command_Line("rox /root/zzzzz-tmp/");
	
	print "\n\nYour new icon gallery file should be at: /root/zzzzz-tmp/00-Icon Info.html";
	
	#"Overwrite Existing Files"
	
	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();