#!/usr/bin/perl

# Script:
# Give 777 permissions to /root/.cache


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Give 777 permissions to /root/.cache");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes it so /root/.cache is readable, writable, and executable by owner, group and world.  This is because Firefox v32, when it's not being run by the root user, refuses to even open if /root/.cache lacks permissive enough perms.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#
	
use ApolliaLib::File_or_Folder_Handling::Many_Items (
	"Chmod_Many_Items"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @files_to_chmod__their_full_paths;


my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"give read/write/execute (777) perms for owner, group, and world to /root/.cache/ folder"
	);


if ( $should_proceed )
{

	
	#----------------------
	#
	#  Grant permissions
	#	0755 - "rwx for owner, rx for group and rx for the world"
	#
	#	http://www.linux.org/threads/file-permissions-chmod.4094/
	#
	#	The quoted page says 755, but only 0755 works right in Lucid Puppy 5.2.8 version 004.
	
	@files_to_chmod__their_full_paths = (
		"/root/.cache/",
		);
		
	Chmod_Many_Items(\@files_to_chmod__their_full_paths, 0777);
		# Read/execute, read, read
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();