#!/usr/bin/perl

# Script:
# Create New User - Firefox_v3_6_13


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Create New User - Firefox_v3_6_13");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Creates a new Linux user: Firefox_v3_6_13, for Firefox v3.6.13's exclusive use.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Users_and_Groups::Misc ( 
	"Create_Passwordless_New_User"
	);

use ApolliaLib::Puppy_Setup_Kit::Lupu5284::Specific (
	"Install_Defaults_for_New_Lupu5284_User"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;

my $new_username;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"create a new Linux user: Firefox_v3_6_13, for Firefox v3.6.13's exclusive use"
	);


if ( $should_proceed )
{


	#------------------
	#
	# User to create:
	
	
	$new_username="Firefox_v3_6_13";
	Create_Passwordless_New_User("$new_username");
	
	
	
	Install_Defaults_for_New_Lupu5284_User($new_username);
	
	
#	Display_and_Do_Command_Line_and_Result("usermod -a -G audio $new_username");
	Display_and_Do_Command_Line_and_Result("usermod -g audio $new_username");
		# 18:47 09/05/2014. Unfortunately, the usermod command doesn't work right when
		# appending new groups, so, we have to actually change the new user's 
		# primary group to "audio".
		#
		# Then, to make audio work in the web browser, all the devices in /dev/snd/ must
		# have their group changed to "audio".  That is done by a different 
		# Puppy Setup Kit script.
		
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();