#!/usr/bin/perl

# Script:
# Make Folders - Firefox v32 Cache folders in /root/zzzzz-tmp/ for Default profile


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Folders - Firefox v32 Cache folders in /root/zzzzz-tmp/ for Default profile");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes cache folders in /root/zzzzz-tmp/ for the Default profile in Firefox v32.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::File_or_Folder_Handling::Many_Items ( "Chown_Many_Items_Recursively");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install Firefox v32 cache folders in /root/zzzzz-tmp/"
	);


if ( $should_proceed )
{


	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		"/root/zzzzz-tmp/Firefox_Cache/v32/Default",
		"/root/zzzzz-tmp/Firefox_Cache-Offline/v32/Default",
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	#---------------
	#
	# And now to chown:
	
	Chown_Many_Items_Recursively(\@dirs_to_make, "and change their owner to", "Firefox_v32", "Firefox_v32");
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();