#!/usr/bin/perl

# Script:
# Install Profile - Firefox v32 Default Without Addons


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Profile - Firefox v32 Default Without Addons");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs the Default Without Addons profile for Firefox v32, slightly configured and with no add-ons.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_Handling::Deletion::Single_File (
	"Delete_File"
	);

use ApolliaLib::File_Handling::Single_Symlink ( 
	"Make_Symlink_To"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $command_line;
my $folder_to_run_shell_command_in;
my $should_proceed;

my $tarball_name;
my $destination_for_tarball;

my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################


$tarball_name="DefaultWithoutAddons.tar.gz";
$destination_for_tarball="/root/aphome/Firefox_v32/.mozilla/firefox/";


$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install the profile Default Without Addons for Firefox v32"
	);
	
	

if ($should_proceed)
{
	
	
	#-----------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"Firefox/v32/Profiles/Default Without Addons/$tarball_name" => $destination_for_tarball,
		"Firefox/v32/Profiles/Default Without Addons/profiles.ini" => $destination_for_tarball,
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path_for_Any_Pup("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	#--------------------
	#
	# Tarball to extract:
	
	$folder_to_run_shell_command_in=$destination_for_tarball;

	$command_line="tar -xvkf $tarball_name";

	$chose_to_install 
	= Install_Program_Via_Shell_Command( $should_proceed, $folder_to_run_shell_command_in, $command_line, "install the profile Default Without Addons for Firefox v32", "installing the profile Default Without Addons for Firefox v32!");

	
	#------------------
	#
	# File to delete:
	
	Delete_File("$destination_for_tarball/$tarball_name");
	

	
	
	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();