# ApolliaLib :: Common :: X_Dialog.pm
#
# 19:57 05/12/2014.  For now, just two functions which display either
# an Xmessage dialog or an Xdialog dialog.


use strict;
use warnings;


package ApolliaLib::Common::X_Dialog;



#############################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Common::X_Dialog;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = (
		"Display_Xdialog",
		"Display_Xmessage"
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}


#
#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#
#

use ApolliaLib::Common::Misc ( 
	"true",
	"false",
	"Escape_Single_Quotes_for_Bash",
	);

#
#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#
#



sub Display_Xdialog
{	
	# 12:58 08/16/2014.  Useful for debugging, since it happens to stall the script until
	# you click the Xdialog's button.
	
	my $title = $_[0];
	my $message = $_[1];
	
	
	#----
	my $escaped_title;
	my $escaped_message;
	


	##############################
	
	$escaped_title=Escape_Single_Quotes_for_Bash($title);
	$escaped_message=Escape_Single_Quotes_for_Bash($message);
	
	system ("Xdialog --title '$escaped_title' --msgbox '$escaped_message' 0 0");
}



sub Display_Xmessage
{
	my $message = $_[0];
	my $color = $_[1];


	#----
	my $escaped_message;
	my $escaped_color;
	
	#@@@@
	
	$escaped_message=Escape_Single_Quotes_for_Bash($message);
	$escaped_color=Escape_Single_Quotes_for_Bash($color);


	
	##############################
	
	system ("xmessage -bg '$escaped_color' -center '$escaped_message'");

}



1;