# ApolliaLib :: Downloading :: With_Wget.pm
#
# Stuff related to downloading flies with wget.


use strict;
use warnings;


package ApolliaLib::Downloading::With_Wget;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Downloading::With_Wget;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Download_Items_to_ApolliaLib_Temp_Downloads_Workspace_Using_Wget
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	Escape_Single_Quotes_for_Bash
	Display_and_Do_Command_Line_and_Result
	necho
	);

use ApolliaLib::Common::End_Script qw (
	End_Script_and_Wait_for_Return
	);

use ApolliaLib::Common::Settings (
	'$ApolliaLib_Settings',
	'$ApolliaLib_Settings_say_we'
	);
	
use File::Path ("mkpath");

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#


sub Download_Items_to_ApolliaLib_Temp_Downloads_Workspace_Using_Wget
{
	my $ref_to_array_of_urls_to_download=$_[0];
	my $folder_in_which_to_put_downloads=$_[1];
	my $optional_extra_params_for_wget=$_[2];
	
	#----
	my @urls_to_download;
	my $url_to_download;
	my $command_line;
	my $escaped_url_to_download;
	
	my $optional_no_check_certificate_parameter;
	
	#@@@@
	@urls_to_download=@$ref_to_array_of_urls_to_download;
	
	if (!defined $optional_extra_params_for_wget)
	{	$optional_extra_params_for_wget="";
	}
	
	
	##############################
	
	foreach $url_to_download (@urls_to_download)
	{
		chdir ($folder_in_which_to_put_downloads);
		
		$escaped_url_to_download=Escape_Single_Quotes_for_Bash($url_to_download);
		
		if ($ApolliaLib_Settings_say_we->should_tell_wget_NOT_to_check_certificate )
		{	$optional_no_check_certificate_parameter="--no-check-certificate";
		}
		else
		{	$optional_no_check_certificate_parameter="";
		}
		
		$command_line = "wget --no-clobber --continue $optional_no_check_certificate_parameter '$escaped_url_to_download' $optional_extra_params_for_wget";
		
		#necho $command_line;
		Display_and_Do_Command_Line_and_Result($command_line);
		
	}
}



1;