# ApolliaLib :: File_Handling :: Deletion :: Many_Files.pm
#
# Stuff related to deleting many files.


use strict;
use warnings;


package ApolliaLib::File_Handling::Deletion::Many_Files;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_Handling::Deletion::Many_Files;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Delete_Many_Files
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	
	);

use ApolliaLib::File_Handling::Deletion::Single_File (
	"Delete_File"
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Delete_Many_Files
{	my $ref_to_array_of_files_to_delete=$_[0];
	
	
	#----
	my @files_to_delete;
	my $file_to_delete;
	
	my $successfully_deleted;
	my $count_of_deleted_files;
	
	
	#@@@@
	$count_of_deleted_files=0;
	@files_to_delete=@$ref_to_array_of_files_to_delete;
	

	
	##############################
	
	foreach $file_to_delete (@files_to_delete)
	{	$successfully_deleted=Delete_File($file_to_delete);
		
		if ($successfully_deleted)
		{	$count_of_deleted_files++;
		}		
	}
	
	
	#!!!!
	return $count_of_deleted_files;
}



1;