# ApolliaLib :: File_Handling :: Deletion :: Single_File_or_Single_Symlink.pm
#
# Stuff related to deleting single files.


use strict;
use warnings;


package ApolliaLib::File_Handling::Deletion::Single_File_or_Single_Symlink;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_Handling::Deletion::Single_File_or_Single_Symlink;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
	Delete_File_or_Symlink
	);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw();
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	
	);
	
#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Delete_File_or_Symlink
{
	
	my $item_to_delete=$_[0];
	
	
	#----
	my $succeeded;


	
	##############################
	
	if ( (!-e $item_to_delete && !-l $item_to_delete ) || -d $item_to_delete || !-f $item_to_delete )
	{
		print "\n\nNot deleted:
	$item_to_delete";
		
		if (!-e $item_to_delete && !-l $item_to_delete) # Nothing exists at that path.
		{	print "\n\nDidn't exist in the first place.";
		
		}
		
		if (-d $item_to_delete)
		{	print "\n\nThis path leads to a folder, and folders can't be deleted using the Delete_File_or_Symlink() function!";
		}
		
		if ( !-f $item_to_delete && -e $item_to_delete )
		{	print "\n\nOnly files or symlinks can be deleted using the Delete_File_or_Symlink() function.";
		}
		
		
		#!!!!
		return false;
	}
	
	

	$succeeded = unlink ($item_to_delete);
	
	if ($succeeded)
	{
		print "\n\nDeleted successfully:
$item_to_delete";
		
		
		#!!!!
		return true;
	}
	else
	{	print "\n\nFAILEd to delete:
$item_to_delete";
		print "\nError: $!";
		
		
		#!!!!
		return false;
		
	}
	
	
	print "\n\nThis section of Delete_File_or_Symlink() should never be reached!";
	
	
	#!!!!
	return false;
}



1;