# ApolliaLib :: File_Handling :: Overwriting :: Single_Symlink.pm
#
# Stuff related to single symlinks.  Replacing existing symlinks.


use strict;
use warnings;


package ApolliaLib::File_Handling::Overwriting::Single_Symlink;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_Handling::Overwriting::Single_Symlink;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Replace_Symlink_at_
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	
	);

use ApolliaLib::File_Handling::Single_Symlink qw (
	Make_Symlink_To
	);

use ApolliaLib::File_Handling::Deletion::Single_Symlink qw (
	Delete_Symlink
	);
	
#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Replace_Symlink_at_
{
	# Arg 0 - the position of the symlink to be replaced.
	#
	# Arg 1 - unused, just for readability.  I usually put:
	# "and point it at"
	# 
	# Arg 2 - the destination for the symlink.
	
	
	my $symlink_to_replace=$_[0];
	my $destination_for_symlink=$_[2];
	
	#----
	my $succeeded;
	
	
	##############################
	
	$succeeded = Delete_Symlink($symlink_to_replace);
	
	$succeeded=Make_Symlink_To($destination_for_symlink, "and put it at", $symlink_to_replace);
	
	
	
	#!!!!
	return $succeeded;
}



1;