# ApolliaLib :: File_Handling :: Single_Symlink.pm
#
# Stuff related to single symlinks.  Creation.


use strict;
use warnings;


package ApolliaLib::File_Handling::Single_Symlink;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::File_Handling::Single_Symlink;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Make_Symlink_To
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Make_Symlink_To
{
	# 0th arg: Symlink destination - what the symlink is pointing at.
	
	# 1st arg: Unused, can be anything.  Just for readability.
	# Typically, I put "and put it at".
	
	# 2nd arg: The place where the symlink will be put.
	# 		Don't put a slash at the end because that will cause
	#		the creation to mysteriously fail.
	
	my $symlink_dest=$_[0];
	my $symlink_position=$_[2];
	
	
	#----
	my $successful;
	


	##############################
	

	$successful=symlink ($symlink_dest, $symlink_position);

	
	if ($successful)
	{	print "\n\n\n\nSuccessfully created symlink at:
	$symlink_position 
Pointing to:
	$symlink_dest";
		
		
		#!!!!
		return true;
	}
	else # Couldn't create symlink.
	{	print "\n\n\n\nFAILED to create symlink at 
	$symlink_position 
Pointing to:
	$symlink_dest
	
Error: $!";
		
		if (-e $symlink_position)
		{	print "\n\nSomething already exists at intended position for symlink:
	$symlink_position";
		}
		if (!-e $symlink_dest)
		{	print "\n\n\n\nDestination of symlink doesn't exist:
	$symlink_dest";
		}
		
		
		#!!!!
		return false;
	}
	
	print "\n\n\n\nThis section of Make_Symlink_To() should never be reached!";
	
	
	#!!!!
	return false;
}



1;