# ApolliaLib :: Folder_Handling :: Deletion :: Single_Folder_Recursively.pm
#
# Stuff related to deleting single folders recursively.


use strict;
use warnings;


package ApolliaLib::Folder_Handling::Deletion::Single_Folder_Recursively;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Folder_Handling::Deletion::Single_Folder_Recursively;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Delete_Folder_Recursively
		Delete_Temporary_ApolliaLib_Workspace_for_Downloads
		Delete_Temporary_ApolliaLib_Workspace_for_Tarballs
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
		
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	Escape_Single_Quotes_for_Bash
	Display_and_Do_Command_Line_and_Result
	necho
	);
	

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Delete_Temporary_ApolliaLib_Workspace_for_Downloads
{
	print "\n\n\n\nNow deleting temporary workspace for downloads...";
	Delete_Folder_Recursively("/root/zzzzz-tmp/ApolliaLib tmp download workspace");
}



sub Delete_Temporary_ApolliaLib_Workspace_for_Tarballs
{
	print "\n\n\n\nNow deleting temporary workspace for tarballs...";
	Delete_Folder_Recursively("/root/zzzzz-tmp/ApolliaLib tmp tarball workspace");
}



sub Delete_Folder_Recursively
{
	my $full_path_to_folder_to_delete=$_[0];
	
	
	#----
	my $command_line;
	
	my $succeeded;
	my $escaped_full_path_to_folder_to_delete;



	##############################
	
	
	if ( !-e $full_path_to_folder_to_delete)
	{	print "\n\nNot deleted:\n	$full_path_to_folder_to_delete\nDidn't exist in the first place.";
		
		
		#!!!!
		return false;
	}
	else # Something exists there
	{	if (!-d $full_path_to_folder_to_delete) # It's not a folder...
		{	print "\n\nNot deleted:\n	$full_path_to_folder_to_delete\nThis path leads to something other than a folder!";
			
			
			#!!!!
			return false;
		}
		$escaped_full_path_to_folder_to_delete = Escape_Single_Quotes_for_Bash($full_path_to_folder_to_delete);
		
		$command_line = "rm --verbose --recursive '$escaped_full_path_to_folder_to_delete'";
		
		Display_and_Do_Command_Line_and_Result($command_line);
		
		
		#!!!!
		return true;
	}
	
	
	#!!!!
	return false;
}



1;