# ApolliaLib :: Loop_Device_Handling :: Misc.pm
#
# Stuff related to loop devices.  Creation.


use strict;
use warnings;


package ApolliaLib::Loop_Device_Handling::Misc;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Loop_Device_Handling::Misc;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		Make_Loop_Devices
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#

use ApolliaLib::Common::Misc qw (
	true
	false
	Display_and_Do_Command_Line_and_Result
	);

#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Make_Loop_Devices
{	
	my $starting_loop_device_number=$_[0];

	# I guess $starting_loop_device_number could maybe be any arbitrary starting point
	# beyond the number of loop devices that already exists.
	#
	# To see what loop devices already exist, look in the /dev/ folder.
	# The loop devices are named loop0, loop1, loop2, and so on.

	my $number_of_loop_devices_to_make=$_[1];

	
	#----
	my $target_number_of_loop_devices;
	my $current_loop_device_number;
	my $command_line;
	
	my $result;
	
	
	#@@@@
	$target_number_of_loop_devices
		= $starting_loop_device_number + $number_of_loop_devices_to_make;
		
	$current_loop_device_number = $starting_loop_device_number;
	
	

	##############################
	
	while ($current_loop_device_number < $target_number_of_loop_devices)
	{
		$command_line="mknod /dev/loop" . $current_loop_device_number . " b 7 " . $current_loop_device_number . " 2>&1"; 
		
		$result=Display_and_Do_Command_Line_and_Result($command_line);
		
		# The above creates and runs command lines like these:

		# mknod /dev/loop11 b 7 11
		# mknod /dev/loop12 b 7 12

		$current_loop_device_number++;
	}
}



1;