# ApolliaLib :: Puppy_Setup_Kit :: Lupu5284 :: Specific.pm
#
# Does stuff specifically for Lucid Puppy 5.2.8 version 004.



use strict;
use warnings;


package ApolliaLib::Puppy_Setup_Kit::Lupu5284::Specific;



################################################################
#
#                         Exported Stuff
#
# This bit specifies which parts of this module are made available to
# scripts that use the following line:
#
# 	use ApolliaLib::Puppy_Setup_Kit::Lupu5284::Specific;
#
#
# I pasted much of the below from:
#
# 	http://perldoc.perl.org/perlmod.html


BEGIN 
{
	require Exporter;

	#set the version for version checking
	our $VERSION = 1.00;

	#Inherit from Exporter to export functions and variables
	our @ISA = qw(Exporter);

	#Functions and variables which are exported by default
	our @EXPORT = qw(  
		
		Install_Defaults_for_New_Lupu5284_User
		);

	#Functions and variables which can be optionally exported
	our @EXPORT_OK = qw(
	
		);
}



#
#                End of Exported Stuff section. 
#
#
################################################################



##################################################
#
#	Needed imports from other modules
#


use ApolliaLib::Common::Misc qw ( 
	true 
	false 
	Escape_Single_Quotes_for_Bash
	Print_Hash_Indentedly
	);

use ApolliaLib::Common::Settings (
	'$ApolliaLib_Settings'
	);

use ApolliaLib::Puppy_Setup_Kit::Settings qw ( 
	$Puppy_Setup_Kit
	);

	
use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);
	
#
#	End of Needed imports from other modules
#
##################################################




################################################################
#
#	Start of stuff unique to this module
#



sub Install_Defaults_for_New_Lupu5284_User
{
	my $new_username=$_[0];
	
	
	#----
	my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;
	my $fullpath_to_home_directory_of_new_user;
	
	#@@@@
	$fullpath_to_home_directory_of_new_user=$ApolliaLib_Settings->full_parentdirs_for_new_user_home_directory . "$new_username/";
	
	
	
	##############################
	
	
	
	#---------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		
		"gtkrc/For Users with Less Privileges/.gtkrc-2.0" => "$fullpath_to_home_directory_of_new_user",
		
		);
		
	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path_for_Other_Pup("Lupu5284", "Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs );
	

}



1;