#!/usr/bin/perl

# Script:
# Step 2 - Some Setup for Bruno 2


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Step 2 - Some Setup for Bruno 2");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("A branching script - a script which only launches other scripts, without doing most anything else itself.\n\nLaunches a few other scripts which do setup appropriate for my computer Bruno 2, which I got in September 2013.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;

my $should_proceed;


my $Puppy_Puppy_Distro_Abbrev;

my @bash_scripts_to_launch__their_relative_paths;

#
#
#	End of variable declarations
#
#####################################################

$Puppy_Puppy_Distro_Abbrev = $Puppy_Setup_Kit->Puppy_Distro_Abbrev();


print "\n\nOther scripts this script will launch:";



@bash_scripts_to_launch__their_relative_paths = (
	
	"Time Zone/Set Lupu5284 Timezone to US Eastern.sh", 
	
	);
	
	
@scripts_to_launch__their_relative_paths = (
	
	"Keyboard-Specific/Compaq SK-2800C/Default/Branching Script - Install everything for Compaq SK-2800C Default Settings.pl", 
	
	"Drivers/Panda Wireless Internet Adapter/Install Driver - Panda wireless internet adapter.pl", 
	
	"Screensavers/Settings Install - No Blank Screen.pl",
	
	"GTK Bookmarks/Settings Install - GTK Bookmarks from 2012-08.pl",
	
	"GTK File Chooser/Settings Install - GTK File Chooser.pl",
	
	#"Non-Libre Stuff/TrueCrypt/Settings Install - Hans as sdc.pl",
	
	#"Xorg/Conf Install - Xorg, Bruno perhaps, 1024x768.pl",
	
	#"Xorg/Install Pet - Xorg High v1.1 graphics driver with xmessage removed by Apollia.pl",
		# 15:53:55 5/18/2014.  I suppose that might overwrite the xorg.conf installed just before that,
		# but, that's how I accidentally had this all along in the legacy scripts, and it worked fine, so,
		# guess I'll just leave it alone.
		
	#"Screen Inverters/Install Pet - xcalib.pl", 
		# xcalib mysteriously doesn't work on the Acer, but works fine on Bruno 2.
		# Otherwise, xcalib would be in Step 4 - Typical Things.  
	);



Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";


$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"proceed with Step 2 - Some Setup for Bruno 2, for $Puppy_Puppy_Distro_Abbrev Puppy Setup Kit"
	);

if ( $should_proceed )
{
	#---------------------
	#
	# Scripts to launch:
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("sh", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@bash_scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();