#!/usr/bin/perl

# Script:
# Step 3 - Basics


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Step 3 - Basics");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("A branching script - a script which only launches other scripts, without doing most anything else itself.\n\nLaunches many other scripts which install things that are so basic that I probably want them installed in every variation of my Puppy Setup Kit.  My default theme, extra loop devices for TrueCrypt and for mounting SFS files, the Code2000 and Symbola613 Unicode fonts, etc.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;

my $should_proceed;


my $Puppy_Puppy_Distro_Abbrev;


#
#
#	End of variable declarations
#
#####################################################

$Puppy_Puppy_Distro_Abbrev = $Puppy_Setup_Kit->Puppy_Distro_Abbrev();


print "\n\nOther scripts this script will launch:";


@scripts_to_launch__their_relative_paths = (
	


	#"Theme/Branching Script - 2011 Default Theme.pl",
	
	
	
	
	"Any_Pup/Folder Making/Branching Script - Make Various Empty Folders.pl",
	"Any_Pup/Landmark Template/Copy Landmark Template to root zzzzz-tmp ApolliaLib templates.pl",
	"Any_Pup/Shell Commands/Install Shell Command - roxopen.pl",
	
	"Lupu5284/SFS File Handling/Install Shell Command - sfs_load v1.3 ApMod D, slightly modified by Apollia.pl",
		
	
	"Lupu5284/Linux Devices/For all dev snd devices, change group to audio.pl",
	
	"Lupu5284/Loop Devices/Create More Loop Devices.pl",
	
	"Lupu5284/Perl/v5.10.1/Branching Script - Install Various Perl Modules.pl",

	#"Lupu5284/Network Setup/Set Default Network Setup Program to Simple Network Setup.pl",
	
	"Lupu5284/Network Setup/Set Default Network Setup Program to Puppy Network Wizard.pl",
	
	"Lupu5284/Hosts File/Settings Install - Hosts File.pl",
	
	"Lupu5284/Image Software/Install Viewnior image viewer - slightly modified version which can set Puppy wallpaper.pl",
	
	"Multiple_Pups/File Managers/Typical/Rox-Filer/Branching Script - Do Non-Cosmetic Rox-Filer Setup.pl",
	
	"Lupu5284/File Managers/Typical/Rox-Filer/Branching Script - Do Rox-Filer Setup Tailored for Lupu5284.pl",
	
	"Any_Pup/Fonts/Install Font - Code2000, a Unicode font.pl",
	"Any_Pup/Fonts/Install Font - Symbola613, a Unicode font.pl",
	
	"Lupu5284/Fonts/Make Symlink in usr share fonts default TTF pointing to Code2000 Unicode font.pl",
	"Lupu5284/Fonts/Make Symlink in usr share fonts default TTF pointing to Symbola613 Unicode font.pl",
	#/usr/share/fonts/default/TTF/
	"Lupu5284/Text Editors/Geany/Settings Install - Geany v0.20 Defaults.pl",
	"Multiple_Pups/Text Editors/NoteCase/Settings Install - NoteCase v1.9.8 Defaults.pl",
	
	
	"Multiple_Pups/GTK Themes/Install GTK Theme - ApDarkGreenYellow.pl",
	"Multiple_Pups/GTK Themes/Install GTK Theme - ApDarkGreenYellow-For-User-with-Less-Privileges.pl",
	
	);


Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";


$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"proceed with Step 3 - Basics, for $Puppy_Puppy_Distro_Abbrev Puppy Setup Kit"
	);

if ( $should_proceed )
{
	#---------------------
	#
	# Scripts to launch:
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_Without_Pup("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
	
	$Launched_Script->Was_Successfully_Completed();
}

End_Script();