#!/usr/bin/perl

# Script:
# Step 5 - Optional Things - with some non-libre things
#
# (Namely, the Flash plug-in, and the Chromium web browser, which contains Flash built in.)


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


#$ApolliaLib_Settings->Should_Ask__When_Branching__Whether_to_Run_Script();


$Launched_Script->Title("Step 6 - Optional Things - with some non-libre things");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("A branching script - a script which only launches other scripts, without doing most anything else itself.\n\nLaunches other scripts which install things I don't always want to install.  Asks you first before installing.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;
my @more_scripts_to_launch__their_relative_paths;

my $should_proceed;


my $Puppy_Puppy_Distro_Abbrev;

my @menu_of_file_managers;
my $default_file_manager_text;


my $chosen_number;
my $selected_menu_item;

my $default_web_browser;
my @menu_of_web_browsers;

my $default_astroblahhh_program;
my @menu_of_astroblahhh_programs;


#
#
#	End of variable declarations
#
#####################################################

$Puppy_Puppy_Distro_Abbrev = $Puppy_Setup_Kit->Puppy_Distro_Abbrev();



$should_proceed=false;



#-----------------------------------------------------------------------------------
#
#	Proprietary, non-libre Flash plug-in for web browsers
#


$should_proceed
	= Ask_To_Do_Action
	(		
		"install the proprietary, non-libre Flash plug-in, used by web browsers"
	);

if ($should_proceed)
{
	@scripts_to_launch__their_relative_paths = (
		
		
		
		#"Any_32_bit_Pup/Non-Libre Stuff/Web Browsers/Plugins/Flash/Plugin Install - Flash plugin v11.1.102.62 for Firefox.pl",
		
		#"Any_32_bit_Pup/Non-Libre Stuff/Web Browsers/Plugins/Flash/Install from Tarball - Flash plugin v11.2.202.406.pl",
		
		"Any_32_bit_Pup/Non-Libre Stuff/Web Browsers/Plugins/Flash/Install from Tarball - Flash plugin v11.2.202.442.pl",
		
		
		
		#"Lupu5284/Non-Libre Stuff/Web Browsers/Plugins/Make Symlink in usr lib mozilla plugins pointing to Flash plugin v11.2.202.406.pl",
		
		"Lupu5284/Non-Libre Stuff/Web Browsers/Plugins/Make Symlink in usr lib mozilla plugins pointing to Flash plugin v11.2.202.442.pl"
		
	);
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_Without_Pup("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );

	
}


$should_proceed=false;


#-----------------------------------------------------------------------------------
#
#	GNU Emacs text editor
#

$should_proceed
	= Ask_To_Do_Action
	(		
		"install GNU Emacs v24.3"
	);

if ($should_proceed)
{
	@scripts_to_launch__their_relative_paths = (
	
		"Text Editors/GNU Emacs/Install Pet - GNU Emacs v24.3.pl",
	);
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );

	
}


$should_proceed=false;



#-----------------------------------------------------------------------------------
#
#	Thunderbird email client
#

$should_proceed
	= Ask_To_Do_Action
	(		
		"install Thunderbird v31.1.1 email client"
	);

if ($should_proceed)
{
	@scripts_to_launch__their_relative_paths = (
	
		"Any_32_bit_Pup/Email Clients/Thunderbird/v31.1.1/Branching Script - Install everything for Thunderbird v31.1.1 for 32-bit Linuxes.pl",
	);
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_Without_Pup("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );

	
}


$should_proceed=false;



#-----------------------------------------------------------------------------------
#
#	Web browser menu
#

@scripts_to_launch__their_relative_paths=();
@more_scripts_to_launch__their_relative_paths=();

$default_web_browser="Firefox 3.6.13, Firefox 32 as root, and Chromium 18";

@menu_of_web_browsers=( "None", "Firefox 3.6.13", "Chromium 18 (contains built-in non-libre Flash plug-in)", "Firefox 32", "Firefox 3.6.13 and Chromium 18", "Firefox 3.6.13 and Firefox 32", "Firefox 3.6.13, Firefox 32, and Chromium 18", "Firefox 32 and Chromium 18", "Firefox 3.6.13, Firefox 32 as root, and Chromium 18" );

$selected_menu_item=Ask_User_to_Choose_from_Numbered_Menu(
	"Would you like to install web browsers?",
	#$Puppy_Setup_Kit->should_or_should_not_install_without_asking,
	\@menu_of_web_browsers, $default_web_browser, "Enter equals Default");
	


if ( $selected_menu_item ne "None" && $selected_menu_item ne "Selection Skipped" )
{

	push ( @more_scripts_to_launch__their_relative_paths, "Any_Pup/Web Browsers/Default Web Browser/Install Shell Command - defaultbrowser, a version which asks for confirmation first.pl");
	
	
	if (
		$selected_menu_item eq "Firefox 3.6.13" || $selected_menu_item eq "Firefox 3.6.13 and Chromium 18" || $selected_menu_item eq "Firefox 3.6.13 and Firefox 32" || $selected_menu_item eq "Firefox 3.6.13, Firefox 32, and Chromium 18", "Firefox 3.6.13, Firefox 32 as root, and Chromium 18" )
	{
		push (@scripts_to_launch__their_relative_paths, "Lupu5284/Web Browsers/Firefox/v3.6.13/Branching Script - Install everything for Firefox v3.6.13 pet for Lupu5284.pl");
		
		push (@scripts_to_launch__their_relative_paths, "Any_Pup/Web Browsers/Default Web Browser/Set Default Web Browser to Firefox v3.6.13.pl" );
		
		
		push (@more_scripts_to_launch__their_relative_paths, "Any_Pup/Web Browsers/Tertiary Web Browser/Symlink mytertiarybrowser to default non-root Firefox v3.6.13.pl" );
		
	}



	if ( $selected_menu_item eq "Chromium 18 (contains built-in non-libre Flash plug-in)" || $selected_menu_item eq "Firefox 3.6.13 and Chromium 18" || $selected_menu_item eq "Firefox 32 and Chromium 18" || $selected_menu_item eq "Firefox 3.6.13, Firefox 32, and Chromium 18", "Firefox 3.6.13, Firefox 32 as root, and Chromium 18" )
	{
		push (@scripts_to_launch__their_relative_paths, "Lupu5284/Non-Libre Stuff/Web Browsers/Chromium/Branching Script - Install everything for Chromium v18.0.996.0.pl" );
		
		push (@more_scripts_to_launch__their_relative_paths, 
		"Any_Pup/Non-Libre Stuff/Web Browsers/Secondary Web Browser/Symlink mysecondarybrowser to Chromium.pl"

		 );
	}

	if ($selected_menu_item eq "Firefox 32" || $selected_menu_item eq "Firefox 3.6.13 and Firefox 32" || $selected_menu_item eq "Firefox 32 and Chromium 18" || $selected_menu_item eq "Firefox 3.6.13, Firefox 32, and Chromium 18", "Firefox 3.6.13, Firefox 32 as root, and Chromium 18" )
	{
		push (@scripts_to_launch__their_relative_paths, "Any_32_bit_Pup/Web Browsers/Firefox/v32/Branching Script - Install almost everything for Firefox v32 for 32-bit Puppies.pl");
		
		if ( $selected_menu_item ne "Firefox 3.6.13, Firefox 32 as root, and Chromium 18")
		{
			push (@more_scripts_to_launch__their_relative_paths, "Any_Pup/Web Browsers/Default Web Browser/Symlink mydefaultbrowser to default non-root Firefox v32.pl" );
		}
		else
		{	push (@more_scripts_to_launch__their_relative_paths, "Any_Pup/Web Browsers/Default Web Browser/Symlink mydefaultbrowser to root Firefox v32.pl" );
		}
		push ( @more_scripts_to_launch__their_relative_paths, "Any_Pup/Web Browsers/Firefox/v32/Profiles/Default With Addons/Install Profile - Firefox v32 Default With Addons.pl" );
		
		push ( @more_scripts_to_launch__their_relative_paths, "Any_Pup/Web Browsers/Firefox/v32/Profiles/Default With Addons/Settings Install - userChrome.css which shows URL bar and search bar constantly.pl" );
	}

	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_Without_Pup("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_Without_Pup("Woodland"), \@more_scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
	
}






#-----------------------------------------------------------------------------------
#
#	VirtualBox
#


$should_proceed=Ask_To_Do_Action(
	#$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"install VirtualBox"
	);

if ($should_proceed)
{
	#---------------------
	#
	# Script to launch:
	@scripts_to_launch__their_relative_paths = (
	
		"VirtualBox/Branching Script - Install Everything for VirtualBox v4.1.8.pl",

	);

	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );

	
}
	
$should_proceed=false;

#-----------------------------------------------------------------------------------
#
#	Astroblahhh programs menu
#

@scripts_to_launch__their_relative_paths=();

$default_astroblahhh_program="Astroblahhh PH-GTK (quieter installer) and Eryss";

@menu_of_astroblahhh_programs=( "None", $default_astroblahhh_program , "Astroblahhh GLMP-GTK (quieter installer) and Eryss", "Astroblahhh PH-GTK (quieter installer)" );

$selected_menu_item=Ask_User_to_Choose_from_Numbered_Menu(
	"Would you like to install Astroblahhh GLMP-GTK or PH-GTK or Eryss?",
	#$Puppy_Setup_Kit->should_or_should_not_install_without_asking,
	\@menu_of_astroblahhh_programs, $default_astroblahhh_program, "Enter equals Default");
	


if ($selected_menu_item eq "Astroblahhh PH-GTK (quieter installer)" || $selected_menu_item eq $default_astroblahhh_program)
{
	push (@scripts_to_launch__their_relative_paths, "Astroblahhh/PH-GTK/Install Pet - Quieter Installer version of Astroblahhh PH-GTK v1.0.pl");
}

if ($selected_menu_item eq "Astroblahhh GLMP-GTK (quieter installer) and Eryss" )
{
	push (@scripts_to_launch__their_relative_paths, "Astroblahhh/GLMP-GTK/Install Pet - Quieter Installer version of Astroblahhh GLMP-GTK v1.0.pl");
}

if ( $selected_menu_item eq $default_astroblahhh_program || $selected_menu_item eq "Astroblahhh GLMP-GTK (quieter installer) and Eryss" )
{
	push (@scripts_to_launch__their_relative_paths, "Astroblahhh/Eryss/Install Pet - Eryss v0.1 astrology software and Swiss Ephemeris 1.78.00 Extension Package for Astroblahhh GLMP-GTK or Astroblahhh PH-GTK v1.0.pl");
}

if ($selected_menu_item ne "None")
{
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
}

		
#-----------------------------------------------------------------------------------
#
#	File manager menu
#

@scripts_to_launch__their_relative_paths=();

$chosen_number=false;
$selected_menu_item=false;

$default_file_manager_text="None";



@menu_of_file_managers=($default_file_manager_text, "Thunar", "TuxCommander", "xfe", "Thunar and TuxCommander", "Thunar and xfe", "TuxCommander and xfe", "All 3" );



$selected_menu_item=Ask_User_to_Choose_from_Numbered_Menu(
	"Would you like to install another file manager?",
#	$Puppy_Setup_Kit->should_or_should_not_install_without_asking,
	\@menu_of_file_managers, $default_file_manager_text, "Enter equals Default");
	




if 	(	$selected_menu_item eq "Thunar" 
		|| 
		$selected_menu_item eq "Thunar and TuxCommander" 
		|| 
		$selected_menu_item eq "Thunar and xfe" 
		||
		$selected_menu_item eq "All 3" 
	)
{
	push (@scripts_to_launch__their_relative_paths, "File Managers/Typical/Thunar/Branching Script - Install Thunar file manager v1.0.2-1-i486 and default settings.pl");
}


if 	( 	
		$selected_menu_item eq "TuxCommander" 
		|| 
		$selected_menu_item eq "Thunar and TuxCommander" 
		|| 
		$selected_menu_item eq "TuxCommander and xfe" 
		|| 
		$selected_menu_item eq "All 3"
	)
{	push (@scripts_to_launch__their_relative_paths, "File Managers/Multi-Pane/TuxCommander/Branching Script - Install TuxCommander file manager v0.6.70 and default settings.pl");
}
if 	( 	
		$selected_menu_item eq "xfe" 
		|| 
		$selected_menu_item eq "Thunar and xfe" 
		||  
		$selected_menu_item eq "TuxCommander and xfe" 
		|| 
		$selected_menu_item eq "All 3"
	)
{	push (@scripts_to_launch__their_relative_paths, "File Managers/Multi-Pane/xfe/Branching Script - Install xfe file manager v1.32.2 and default settings.pl");
}

if ($selected_menu_item ne "None")
{
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );
}

		
		
#-----------------------------------------------------------------------------------
#
#	Other scripts to launch
#

print "\n\nOther scripts this script can launch:";

@scripts_to_launch__their_relative_paths = (
	
		"Any_Pup/Audio/MIDI/Freepats/Install Tarball - Freepats MIDI stuff from 2006-02-19 - useable by DeaDBeeF audio player.pl",
			
		"Any_Pup/Games/Install Tarball - NetHack v3.4.3.pl",
		
	);


Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";


$should_proceed=Ask_To_Do_Action(
	#$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"proceed with the end of Step 6 - Optional Things, for $Puppy_Puppy_Distro_Abbrev Puppy Setup Kit"
	);

if ( $should_proceed )
{
	#---------------------
	#
	# Scripts to launch:
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_Without_Pup("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Dont_Do_Things_Automatically" );
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();