#!/usr/bin/perl

# Script:
# Install Settings - Defaults for DeaDBeeF v0.4.2


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Settings - Defaults for DeaDBeeF v0.4.2");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs my default settings for DeaDBeeF v0.4.2, a really nice audio player.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();




use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);
	
use ApolliaLib::File_Handling::Many_Symlinks ("Make_Many_Symlinks");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#


my @dirs_to_make;
my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;
my %symlinks_to_make__positions_then_destinations;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"install default settings for DeaDBeeF audio player v0.4.2"
	);


if ($should_proceed == true)
{
	#---------------
	#
	# Dirs to make:
	
	@dirs_to_make=(
		"/root/.config/deadbeef/", 
		
		"/root/.config/deadbeef/playlists/",
		);
	
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	#---------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"DeaDBeeF/v0.4.2/config" => "/root/.config/deadbeef/",
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	#---------------
	#
	# Symlinks:
	
	%symlinks_to_make__positions_then_destinations = (
		"/root/.config/deadbeef/playlists/0.dbpl" => 
			"/mnt/truecrypt1/Lithir/Buckland/Playlists/Dynamic/Default-Dynamic.dbpl"
		);
	
	Make_Many_Symlinks(\%symlinks_to_make__positions_then_destinations);
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();