#!/usr/bin/perl

# Script:
# Branching Script - Install TuxCommander file manager v0.6.70 and default settings


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Branching Script - Install TuxCommander file manager v0.6.70 and default settings");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("A branching script - a script which only launches other scripts, without doing most anything else itself.\n\nLaunches a couple other scripts, one which installs the TuxCommander file manager v0.6.70, and one which installs default settings for it.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



print "\n\nOther scripts this script will launch:";


@scripts_to_launch__their_relative_paths = (
	"File Managers/Multi-Pane/TuxCommander/Install Pet - TuxCommander file manager v0.6.70.pl",
	"File Managers/Multi-PaneTuxCommander/Settings Install - Defaults for TuxCommander file manager v0.6.70.pl"
	);


Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
		
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"launch the above other scripts"
	);
	

if ( $should_proceed )
{
	#---------------------
	#
	# Scripts to launch:
	
	print "\nNow launching other scripts...";
	
	Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path("Woodland"), \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Do_Things_Automatically" );

		
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();