#!/usr/bin/perl

# Script:
# Settings Install - Rox-Filer Run Actions


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;

$Launched_Script->Title("Settings Install - Rox-Filer Run Actions");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs Rox-Filer run action files, which determine what happens when you double-click certain kinds of files.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"install Rox-Filer run action files"
	);



if ( $should_proceed )
{
	
	
	#---------------
	#
	# Files to copy:
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		# SPC music files
	"Rox-Filer/Run Actions/SPC Music/application_x-pkcs7-certificates" => "/root/.config/rox.sourceforge.net/MIME-types/", 

	# MP3 files

	"Rox-Filer/Run Actions/MP3/audio_mpeg" => "/root/.config/rox.sourceforge.net/MIME-types/",

	# MP3-related somehow

	"Rox-Filer/Run Actions/MP3/audio_x-mpegurl" => "/root/.config/rox.sourceforge.net/MIME-types/",
	
	#--
	
	"Rox-Filer/Run Actions/audio_midi" => "/root/.config/rox.sourceforge.net/MIME-types/",

	"Rox-Filer/Run Actions/application_javascript" => "/root/.config/rox.sourceforge.net/MIME-types/"
		
		);

	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	#---------------
	#
	# Permissions to set:
	
	chdir "/root/.config/rox.sourceforge.net/MIME-types/";
	system ("chmod go-rwx audio_x-mpegurl");
	system ("chmod u+rwx audio_x-mpegurl");

	system ("chmod go-rwx application_x-pkcs7-certificates");
	system ("chmod u+rwx application_x-pkcs7-certificates");

	system ("chmod go-rwx audio_mpeg");
	system ("chmod u+rwx audio_mpeg");

	system ("chmod go-rwx audio_midi");
	system ("chmod u+rwx audio_midi");
	
	
	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();