#!/usr/bin/perl

# Script:
# Install Font - Make Symlink in /usr/share/fonts/default/TTF/ pointing to Code2000 Unicode font


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Symlink in /usr/share/fonts/default/TTF/ pointing to Code2000 Unicode font");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("This script makes a symlink in /usr/share/fonts/default/TTF/ pointing to the Code2000 Unicode font at /root/apbin/Fonts/Unicode/CODE2000.TTF.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Single_Symlink ( 
	"Make_Symlink_To"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;



#
#
#	End of variable declarations
#
#####################################################


#$Puppy_Setup_Kit->Print_All_Realm_Hashes();


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
	
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	
	"make a symlink in /usr/share/fonts/default/TTF/ pointing to the Code2000 Unicode font"
	);


if ( $should_proceed )
{
	

	
	#------------------
	#
	# Symlink to make:
	
	Make_Symlink_To("/root/apbin/Fonts/Unicode/CODE2000.TTF", "and put it at", "/usr/share/fonts/default/TTF/CODE2000.TTF");
	
	
	#---------------
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();