#!/usr/bin/perl

# Script:
# For all /dev/snd devices, change group to audio


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("For all /dev/snd/ devices, change group to audio");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Assigns everything in /dev/snd (and the /dev/snd folder) to the 'audio' group.  This makes it so the Firefox can play sound even when when run with lesser-privileged users Firefox_v3_6_13 and Firefox_v32 (which belong to the \"audio\" group).");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Items (
	"Change_Group_of_Item_Recursively"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"assign everything in /dev/snd/ to the group 'audio'"
	);


if ( $should_proceed )
{


	#---------------
	#
	# 
	
	Change_Group_of_Item_Recursively("/dev/snd/", "audio");
	
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();