#!/usr/bin/perl

# Script:
# Create More Loop Devices


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


my $starting_loop_device_number=4;
#my $starting_loop_device_number=11;
	# I guess $starting_loop_device_number could maybe be any arbitrary starting point
	# beyond the number of loop devices that already exists.
	#
	# To see what loop devices already exist, look in the /dev/ folder.
	# The loop devices are named loop0, loop1, loop2, and so on.
	
my $number_of_loop_devices_to_make=97;


$Launched_Script->Title("Create $number_of_loop_devices_to_make More Loop Devices, starting at loop$starting_loop_device_number");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Adds more loop devices, which makes it possible to mount more TrueCrypt volumes and SFS files at the same time.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Loop_Device_Handling::Misc ("Make_Loop_Devices");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"make $number_of_loop_devices_to_make new loop devices, starting at loop$starting_loop_device_number - which will make it possible to mount more TrueCrypt volumes and mount more SFS files"
	);



if ( $should_proceed )
{

	#------------------
	#
	# Loop devices to make:
	
	Make_Loop_Devices($starting_loop_device_number, $number_of_loop_devices_to_make);

	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();