#!/usr/bin/perl

# Script:
# Redirect Chromium cache to tmp


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Redirect Chromium cache to tmp");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Puts the Chromium cache in folders in the /tmp/ folder.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Many_Symlinks ("Make_Many_Symlinks");

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

use ApolliaLib::Folder_Handling::Deletion::Single_Folder_Recursively("Delete_Folder_Recursively");


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;
my %symlinks_to_make__positions_then_destinations;

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"put the Chromium cache in folders in the /tmp/ folder"
	);


if ( $should_proceed )
{


	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		"/tmp/ChromiumCache",
		"/tmp/ChromiumCache-Offline",
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	
	#--------------------
	#
	# Folder to delete:
	
	Delete_Folder_Recursively("/root/.config/chromium/Default/Cache/");
	Delete_Folder_Recursively("/root/.cache/chromium/Default/Cache/");
	
	
	#------------------
	#
	# Symlinks to make:
	
	%symlinks_to_make__positions_then_destinations = (
		"/root/.config/chromium/Default/Cache" => "/tmp/apconfig/Chromium_Cache",
		"/root/.cache/chromium/Default/Cache" => "/tmp/apconfig/Chromium_Cache",
		);
	
	Make_Many_Symlinks(\%symlinks_to_make__positions_then_destinations);
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();