#!/usr/bin/perl

# Script:
# Move Shell Command - wmpoweroff - Turn Off Computer


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';


my $new_name_for_shell_command="unsafe-because-its-done-without-confirmation--wmpoweroff--turn-off-computer";

use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Shell Command - wmpoweroff - Turn Off Computer");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Moves the command wmpoweroff (which turns off your entire computer) to $new_name_for_shell_command, and removes all permissions except Owner:Read/Execute.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Moving_with_Rename::Single_File (
	"Move_and_Rename_File"
	);
	
use ApolliaLib::File_or_Folder_Handling::Many_Items (
	"Chmod_Many_Items"
	);

use ApolliaLib::File_Handling::Single_Symlink ( 
	"Make_Symlink_To"
	);
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @files_to_moverename__their_full_paths;

my @files_to_chmod__their_full_paths;


my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"move the command wmpoweroff (which turns off your entire computer) to $new_name_for_shell_command, and removes all permissions except Owner:Read/Execute"
	);


if ( $should_proceed )
{



	#----------------
	#
	# File to move/rename:
	
	Move_and_Rename_File("/usr/bin/wmpoweroff", "/usr/local/bin/$new_name_for_shell_command");

	
	
	print "\n\n";
	
	#----------------------
	#
	#  Grant permissions
	#	0755 - "rwx for owner, rx for group and rx for the world"
	#
	#	http://www.linux.org/threads/file-permissions-chmod.4094/
	#
	#	The quoted page says 755, but only 0755 works right in Lucid Puppy 5.2.8 version 004.
	
	@files_to_chmod__their_full_paths = (
		"/usr/local/bin/$new_name_for_shell_command",
		);
		
	Chmod_Many_Items(\@files_to_chmod__their_full_paths, 0500);
		# Read/execute for owner, nothing for group, nothing for world
	
	
	
	#------------------
	#
	# Symlink to make:
	
	Make_Symlink_To("/usr/local/bin/confirm-before-doing-wmpoweroff--turn-off-computer", "and put it at", "/usr/bin/wmpoweroff");
		
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();