#!/usr/bin/perl

# Script:
# Make Shared Folders - ABDesktop VB


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Shared Folders - ABDesktop VB");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes VirtualBox shared folders for the ABDesktop VB.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"make ABDesktop VB shared folders for VirtualBox"
	);

if ( $should_proceed )
{
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		"/root/VB Shared/safe/Read and Write/ABDesktop VB", 
		"/root/VB Shared/safe/Read and Write/ABDesktop B",
		"/root/VB Shared/safe/Read and Write/ABDesktop G", 
		"/root/VB Shared/safe/Read and Write/ABDesktop H", 
		"/root/VB Shared/safe/Read and Write/ABDesktop I", 
		"/root/VB Shared/safe/Read and Write/ABDesktop J", 
		"/root/VB Shared/safe/Read and Write/ABDesktop K", 
		"/root/VB Shared/safe/Read and Write/ABDesktop L", 
		"/root/VB Shared/safe/Read and Write/ABDesktop M", 
		"/root/VB Shared/safe/Read and Write/ABDesktop N", 
		"/root/VB Shared/safe/Read and Write/ABDesktop O", 
		"/root/VB Shared/safe/Read and Write/ABDesktop P", 
		"/root/VB Shared/safe/Read and Write/ABDesktop Q", 
		"/root/VB Shared/safe/Read and Write/ABDesktop R", 
		"/root/VB Shared/safe/Read and Write/ABDesktop S", 
		"/root/VB Shared/safe/Read and Write/ABDesktop T", 
		"/root/VB Shared/safe/Read and Write/ABDesktop U", 
		"/root/VB Shared/safe/Read and Write/ABDesktop V", 
		"/root/VB Shared/safe/Read and Write/ABDesktop W", 
		"/root/VB Shared/safe/Read and Write/ABDesktop X",
		"/root/VB Shared/safe/Read and Write/ABDesktop Y", 
		"/root/VB Shared/safe/Read and Write/ABDesktop Z", 
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();