#!/usr/bin/perl

# Script:
# Make Shared Folders - VBX VB


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Shared Folders - VBX VB");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes VirtualBox shared folders for the VBX VB.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( "Make_Many_Folder_Paths");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"make Pup VB shared folders for VirtualBox"
	);

if ( $should_proceed )
{
	#---------------
	#
	# Dirs to make:

	@dirs_to_make=(
		"/root/VB Shared/safe/Read and Write/VBX VB", 
		"/root/VB Shared/safe/Read and Write/VBX L", 
		"/root/VB Shared/safe/Read and Write/VBX M", 
		"/root/VB Shared/safe/Read and Write/VBX N", 
		"/root/VB Shared/safe/Read and Write/VBX R", 
		"/root/VB Shared/safe/Read and Write/VBX T", 
		"/root/VB Shared/safe/Read and Write/VBX U", 
		"/root/VB Shared/safe/Read and Write/VBX V", 
		"/root/VB Shared/safe/Read and Write/VBX W", 
		"/root/VB Shared/safe/Read and Write/VBX X", 
		"/root/VB Shared/safe/Read and Write/VBX Y", 
		"/root/VB Shared/safe/Read and Write/VBX Z", 
		);
		
	Make_Many_Folder_Paths(\@dirs_to_make);
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();