#!/usr/bin/perl

# Script:
# Use zzz-Breredon as zzz-Meadow


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Use zzz-Breredon as zzz-Meadow");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("/root/zzz-Breredon is a place in the RAM disk which contains a Meadow Panel and other useful temporary scripts that you shouldn't edit (unless you save copies of them to a more permanent location).  This script deletes any existing /root/zzz-Meadow symlink and replaces it with a new one which points at: /root/zzz-Breredon/Meadow");

#   The name of petgetjet was inspired by a post to this forum thread:
#
# http://www.murga-linux.com/puppy/viewtopic.php?t=52983&sid=9d8467c3c296d4879a672014c2c5a004



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Deletion::Single_Symlink (
	"Delete_Symlink"
	);
	
use ApolliaLib::File_Handling::Single_Symlink ( 
	"Make_Symlink_To"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"use zzz-Breredon as zzz-Meadow"
	);



if ($should_proceed)
{
	#---------------------------------------------
	#
	# Deleting a possibly existing symlink:
	
	print "\n\n";

	Delete_Symlink("/root/zzz-Meadow");


	#---------------------------
	#
	# Creating a new symlink:
	
	print "\n\n";

	Make_Symlink_To("/root/zzz-Breredon/Meadow/", "and put it at", "/root/zzz-Meadow");
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();