#!/usr/bin/perl

# Script:
# Make Symlinks - Pondizer and Ponzip symlinks in all Rox-Filer SendTo shortcut folders


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Make Symlinks - Pondizer and Ponzip symlinks in all Rox-Filer SendTo shortcut folders");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes it so the Pondizer and Pondzip will appear in Rox-Filer right-click menus of most any file or folder.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Multiple_Pups");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_Handling::Single_Symlink ("Make_Symlink_To");
use ApolliaLib::File_Handling::Many_Symlinks ("Make_Many_Symlinks");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @dirs_to_make;
my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $SHORTCUTDIR;

my @files;
my $shortcut_dir;
my $file;
my $mimetype_folder;
my $symlink_position;

my %symlinks_to_make__positions_then_destinations;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"add new MIME types to Rox-Filer"
	);

if ( $should_proceed )
{
	
	################
	#
	#  Section where we delete Trash right-click menu shortcuts
	# 	and add Pondize and Pondzip shortcuts.
	#

	$shortcut_dir="/root/.config/rox.sourceforge.net/SendTo/";

	chdir $shortcut_dir;
	opendir($SHORTCUTDIR, $shortcut_dir);
		
	@files=readdir($SHORTCUTDIR);

	foreach $file (@files)
	{	
		if (-d $file)
		{	
			if ($file eq "." || $file eq "..")
			{	next;
			}
			$mimetype_folder=$shortcut_dir . $file;
			chdir $mimetype_folder;
			
			$symlink_position=$mimetype_folder . "/" . "Pondize";
			
			Make_Symlink_To("/usr/local/bin/pondize", "and put it at", $symlink_position);
			
			$symlink_position=$mimetype_folder . "/" . "Pondzip";
			Make_Symlink_To("/usr/local/bin/pondzip", "and put it at", $symlink_position);
			
			chdir $shortcut_dir;
			
		}
		else
		{	
			next;
		}
	}
	closedir($SHORTCUTDIR);


	
	#------------------
	#
	# Symlinks to make:
	
	%symlinks_to_make__positions_then_destinations = (
		"/root/.config/rox.sourceforge.net/SendTo/Pondzip" => "/usr/local/bin/pondzip",
		"/root/.config/rox.sourceforge.net/SendTo/Pondizer" => "/usr/local/bin/pondize",
		);
	
	Make_Many_Symlinks(\%symlinks_to_make__positions_then_destinations);
	
	
	$Launched_Script->Was_Successfully_Completed();
	
	
}

End_Script();