::------------------------------------------------------------------------------
:: Tests for BitBucket Issue #36 - Quiet Check for Existing Timestamp File.
:: The message "*** Error accessing .hgtimestamp file! ***" is too strong.
:: The file will be recreated if it is missing.  No message needed.
::------------------------------------------------------------------------------
:: This test-script creates a temporary test repository,
:: creates and addes a single file, and commits the file.
::------------------------------------------------------------------------------
@echo off
echo.
echo ===========================================
echo Test #1 - New Repository - Commit Normally.
echo.
echo ----------
echo Initializing Test Repository...
if exist testrepo rmdir /S /Q testrepo
mkdir testrepo
cd testrepo
hg init
echo Create file (abc.txt)
echo "abc" > abc.txt
hg add abc.txt
echo hg commit -m "abc"
hg commit -m "abc"
echo.
echo.
echo hg status
hg status
echo.
echo --------------------------------------------
echo CHECK: no error message should be displayed.
echo `hg status` result should be empty
echo ============================================
pause
echo.
echo.
echo =============================================
echo Test #2 - New Repository - Commit w/ --debug.
echo.
echo ----------
echo Initializing Test Repository...
if exist testrepo rmdir /S /Q testrepo
mkdir testrepo
cd testrepo
hg init
echo Create file (abc.txt)
echo "abc" > abc.txt
hg add abc.txt
echo hg commit -m "abc" --debug
hg commit -m "abc" --debug
echo.
echo.
echo hg status
hg status
echo.
echo --------------------------------------------
echo CHECK: no error message should be displayed,
echo        just notification messages.
echo `hg status` result should be empty
echo ============================================
pause
