#!/bin/sh
#::------------------------------------------------------------------------------
#:: Tests for BitBucket Issue #36 - Quiet Check for Existing Timestamp File.
#:: The message "*** Error accessing .hgtimestamp file! ***" is too strong.
#:: The file will be recreated if it is missing.  No message needed.
#::------------------------------------------------------------------------------
#:: This test-script creates a temporary test repository,
#:: creates and addes a single file, and commits the file.
#::------------------------------------------------------------------------------
#@echo off

curdir=`pwd`
casenumber=bbi36

initialize_repodir(){
  testpath=/tmp/hgtimestamp_tests/test${casenumber}/
  rm -rf ${testpath}
  mkdir -p ${testpath}
  cd ${testpath}

  if [ "${testpath}" != "`pwd`" ]; then
     echo 'change directory failed'
     return 2>&- || exit
  fi

  return 0
}




echo
echo ===========================================
echo Test #1 - New Repository - Commit Normally.
echo
echo ----------
echo Initializing Test Repository...

initialize_repodir

hg init
echo 'Create file (abc.txt)'
echo "abc" > abc.txt
hg add abc.txt
echo hg commit -m "abc"
hg commit -m "abc"
echo
echo
echo hg status
hg status
echo
echo --------------------------------------------
echo CHECK: no error message should be displayed.
echo 'hg status' result should be empty
echo ============================================
cd ${curdir}
echo 'hit enter' && `read garbage`
echo
echo
echo =============================================
echo Test #2 - New Repository - Commit w/ --debug.
echo
echo ----------
echo Initializing Test Repository...

initialize_repodir

hg init
echo 'Create file (abc.txt)'
echo "abc" > abc.txt
hg add abc.txt
echo hg commit -m "abc" --debug
hg commit -m "abc" --debug
echo
echo
echo hg status
hg status
echo
echo --------------------------------------------
echo CHECK: no error message should be displayed,
echo        just a simple notification messages.
echo 'hg status' result should be empty
echo ============================================
cd ${curdir}
echo 'hit enter' && `read garbage`
