::------------------------------------------------------------------------------
:: Tests for BitBucket Issue #38 - Read JSON File with no Timestamp data.
:: The _read_TimestampJSONRecords function fails and returns an error when 
:: updating to a revision that has no timestamp data recorded.
::------------------------------------------------------------------------------
:: This test-script creates a temporary test repository,
:: creates and addes a single file, and commits the file.
:: The file is then removed and the removal is committed.
:: Finally, the Working directory is updated to both revisions.
::------------------------------------------------------------------------------
@echo off
echo.
echo Initializing Test Repository...
if exist testrepo rmdir /S /Q testrepo
mkdir testrepo
cd testrepo
hg init
echo Create file (abc.txt)
echo "abc" > abc.txt
hg add abc.txt
echo hg commit -m "add abc.txt"
hg commit -m "add abc.txt"
echo hg remove abc.txt
hg remove abc.txt
echo hg commit -m "remove abc.txt"
hg commit -m "remove abc.txt"
echo.
echo =============================================
echo Test #1 - Update to Rev-0 and Rev-1 normally.
echo.
echo ----------
echo hg update 0
hg update 0
echo.
echo.
echo hg update 1
hg update 1
echo.
echo ----------------------------------------------
echo CHECK: no error messages should be displayed. 
echo It should not try to open .hgtimestamp as CSV.
echo ==============================================
pause
echo.
echo.
echo ===============================================
echo Test #2 - Update to Rev-0 and Rev-1 w/ --debug.
echo.
echo ----------
echo hg update 0 --debug
hg update 0 --debug
echo.
echo.
echo hg update 1 --debug
hg update 1 --debug
echo.
echo ---------------------------------------------
echo CHECK: no error messages should be displayed.
echo It should not try to open .hgtimestamp as CSV.
echo =============================================
pause
