#!/bin/sh
#::------------------------------------------------------------------------------
#:: Tests for BitBucket Issue #40 - Linux Compatability.
#:: This is a simple functional test to ensure the extension commits timestamps
#:: and modified/added files correctly.  This is similar to the test for BBI#36.
#::------------------------------------------------------------------------------
#:: This test-script creates a temporary test repository,
#:: creates and addes a single file, and commits the file.
#::------------------------------------------------------------------------------
#@echo off

curdir=`pwd`
casenumber=bbi40

initialize_repodir(){
	testpath=/tmp/hgtimestamp_tests/test${casenumber}/
	rm -rf ${testpath}
	mkdir -p ${testpath}
	cd ${testpath}
	if [ "`pwd`" != "${testpath}" ]; then
		return 2>&- || exit
	fi

	return 0
}

echo
echo ===========================================
echo Test #1 - New Repository - Commit Normally.
echo
echo ----------
echo Initializing Test Repository...
initialize_repodir
hg init
echo 'Create file (abc.txt)'
echo "abc" > abc.txt
hg add abc.txt
echo hg commit -m "abc"
hg commit -m "abc"
echo
echo --------------------------------------------
echo CHECK: no error message should be displayed.
echo ============================================
echo 'hit enter' && `read garbage`
echo
echo hg status
hg status
echo
echo hg manifest
hg manifest
echo
echo
echo cat .hgtimestamp
cat .hgtimestamp
echo
echo --------------------------------------------
echo CHECK: 
echo   'hg status' result should be empty
echo   Manifest should contain ".hgtimestamp" and "testfile"
echo   .hgtimestamp should contain "testfile" entry
echo ============================================
cd ${curdir}
echo 'hit enter' && `read garbage`
